org.apache.mina.example.imagine.step1.server

## Class ImageServer

- java.lang.Object
- - org.apache.mina.example.imagine.step1.server.ImageServer

-     public class ImageServer
      extends Object

  entry point for the server used in the tutorial on protocol codecs
  Author:
    Apache MINA Project

- - ### Field Summary

    Fields
    Modifier and Type | Field and Description
    --- | ---
    `static int` | `PORT`

  - ### Constructor Summary

    Constructors
    Constructor and Description
    `ImageServer()`

  - ### Method Summary

    Methods
    Modifier and Type | Method and Description
    --- | ---
    `static void` | `main(String[] args)`

    - ### Methods inherited from class java.lang.Object

      `clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

- - ### Field Detail

    - #### PORT

          public static final int PORT

      See Also:
        Constant Field Values

  - ### Constructor Detail

    - #### ImageServer

          public ImageServer()

  - ### Method Detail

    - #### main

          public static void main(String[] args)
                           throws IOException

      Throws:
        `IOException`

Copyright © 2004-2012 Apache MINA Project. All Rights Reserved.